php-cgi-7.2.11-3.mga6.x86_64.rpm


Advertisement

Description

php-cgi - PHP CGI interface

Property Value
Distribution Mageia 6.1
Repository Mageia Core Backports x86_64
Package filename php-cgi-7.2.11-3.mga6.x86_64.rpm
Package name php-cgi
Package version 7.2.11
Package release 3.mga6
Package architecture x86_64
Package type rpm
Category Development/PHP
Homepage http://www.php.net
License PHP License
Maintainer -
Download size 42.77 KB
Installed size 76.42 KB
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.
This package contains a standalone (CGI) version of php with FastCGI support.
You must also install lib64php_common7. If you need apache module support, you
also need to install the apache-mod_php package.

Alternatives

Package Version Architecture Repository
php-cgi-7.2.18-1.mga6.i586.rpm 7.2.18 i586 Mageia Core Backports
php-cgi-7.2.18-1.mga6.x86_64.rpm 7.2.18 x86_64 Mageia Core Backports
php-cgi-7.2.14-1.mga6.i586.rpm 7.2.14 i586 Mageia Core Backports
php-cgi-7.2.14-1.mga6.x86_64.rpm 7.2.14 x86_64 Mageia Core Backports
php-cgi-7.2.13-2.mga6.i586.rpm 7.2.13 i586 Mageia Core Backports
php-cgi-7.2.13-2.mga6.x86_64.rpm 7.2.13 x86_64 Mageia Core Backports
php-cgi-7.2.11-3.mga6.i586.rpm 7.2.11 i586 Mageia Core Backports
php-cgi-5.6.40-1.mga6.i586.rpm 5.6.40 i586 Mageia Core Updates
php-cgi-5.6.40-1.mga6.x86_64.rpm 5.6.40 x86_64 Mageia Core Updates
php-cgi-5.6.39-1.mga6.i586.rpm 5.6.39 i586 Mageia Core Updates
php-cgi-5.6.39-1.mga6.x86_64.rpm 5.6.39 x86_64 Mageia Core Updates
php-cgi-5.6.38-1.mga6.i586.rpm 5.6.38 i586 Mageia Core Updates
php-cgi-5.6.38-1.mga6.x86_64.rpm 5.6.38 x86_64 Mageia Core Updates
php-cgi-5.6.36-1.mga6.i586.rpm 5.6.36 i586 Mageia Core Updates
php-cgi-5.6.36-1.mga6.x86_64.rpm 5.6.36 x86_64 Mageia Core Updates
php-cgi-5.6.35-1.mga6.i586.rpm 5.6.35 i586 Mageia Core Updates
php-cgi-5.6.35-1.mga6.x86_64.rpm 5.6.35 x86_64 Mageia Core Updates
php-cgi-5.6.34-1.mga6.i586.rpm 5.6.34 i586 Mageia Core Updates
php-cgi-5.6.34-1.mga6.x86_64.rpm 5.6.34 x86_64 Mageia Core Updates
php-cgi-5.6.33-1.mga6.i586.rpm 5.6.33 i586 Mageia Core Updates
php-cgi-5.6.33-1.mga6.x86_64.rpm 5.6.33 x86_64 Mageia Core Updates
php-cgi-5.6.32-1.mga6.i586.rpm 5.6.32 i586 Mageia Core Updates
php-cgi-5.6.32-1.mga6.x86_64.rpm 5.6.32 x86_64 Mageia Core Updates
php-cgi-5.6.31-1.mga6.i586.rpm 5.6.31 i586 Mageia Core Updates
php-cgi-5.6.31-1.mga6.x86_64.rpm 5.6.31 x86_64 Mageia Core Updates
php-cgi-5.6.30-2.mga6.i586.rpm 5.6.30 i586 Mageia Core
php-cgi-5.6.30-2.mga6.x86_64.rpm 5.6.30 x86_64 Mageia Core
php-cgi - - -

Requires

Name Value
lib64php_common7 >= 3:7.2.11
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libphp7_common.so.7()(64bit) -
webserver-base -

Provides

Name Value
php == 3:7.2.11
php-cgi == 3:7.2.11-3.mga6
php-cgi(x86-64) == 3:7.2.11-3.mga6
php-fcgi == 3:7.2.11-3.mga6
php-webinterface -

Obsoletes

Name Value
php-fcgi < 3:7.2.11-3.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package php-cgi-7.2.11-3.mga6.x86_64.rpm
Source Package php-7.2.11-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Backports repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install php-cgi rpm package:
    # urpmi php-cgi

Files

Path
/usr/bin/php-cgi
/usr/bin/php-fcgi
/usr/share/doc/php-cgi/CREDITS.cgi
/usr/share/doc/php-cgi/README.fcgi
/usr/share/man/man1/php-cgi.1.xz

Changelog

2018-11-10 - mokraemer <mokraemer> 3:7.2.11-3.mga6
+ Revision: 1329432
- Fix added info on central package
- added a few hints for update
- move to correct destination
- added php-7.2.11 for backport
- import php7 for backport
2018-10-20 - wally <wally> 3:7.2.11-2.mga7
+ Revision: 1322964
- fix php-sqlite obsoletes
2018-10-12 - mokraemer <mokraemer> 3:7.2.11-1.mga7
+ Revision: 1319841
- new version 7.2.11
2018-09-13 - mokraemer <mokraemer> 3:7.2.10-1.mga7
+ Revision: 1258856
- new version 7.2.10
2018-08-25 - mokraemer <mokraemer> 3:7.2.9-2.mga7
+ Revision: 1254140
+ rebuild (emptylog)
2018-08-16 - mokraemer <mokraemer> 3:7.2.9-1.mga7
+ Revision: 1252055
- new release 7.2.9
2018-08-03 - mokraemer <mokraemer> 3:7.2.8-2.mga7
+ Revision: 1247154
- Bug mga#23385
2018-07-19 - mokraemer <mokraemer> 3:7.2.8-1.mga7
+ Revision: 1244310
- new version 7.2.8
2018-06-21 - mokraemer <mokraemer> 3:7.2.7-1.mga7
+ Revision: 1238679
- new version 7.2.7
2018-06-17 - luigiwalser <luigiwalser> 3:7.2.6-2.mga7
+ Revision: 1237489
- rebuild for gdbm

See Also

Package Description
php-cli-7.2.11-3.mga6.x86_64.rpm PHP CLI interface
php-cli-7.2.13-2.mga6.x86_64.rpm PHP CLI interface
php-cli-7.2.14-1.mga6.x86_64.rpm PHP CLI interface
php-cli-7.2.18-1.mga6.x86_64.rpm PHP CLI interface
php-ctype-7.2.11-3.mga6.x86_64.rpm Ctype extension module for PHP
php-ctype-7.2.13-2.mga6.x86_64.rpm Ctype extension module for PHP
php-ctype-7.2.14-1.mga6.x86_64.rpm Ctype extension module for PHP
php-ctype-7.2.18-1.mga6.x86_64.rpm Ctype extension module for PHP
php-curl-7.2.11-3.mga6.x86_64.rpm Curl extension module for PHP
php-curl-7.2.13-2.mga6.x86_64.rpm Curl extension module for PHP
php-curl-7.2.14-1.mga6.x86_64.rpm Curl extension module for PHP
php-curl-7.2.18-1.mga6.x86_64.rpm Curl extension module for PHP
php-dba-7.2.11-3.mga6.x86_64.rpm DBA extension module for PHP
php-dba-7.2.13-2.mga6.x86_64.rpm DBA extension module for PHP
php-dba-7.2.14-1.mga6.x86_64.rpm DBA extension module for PHP
Advertisement
Advertisement